// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import "~@angular/material/theming";

// Plus imports for other components in your app.@import 'helpers';
@import "global";

// Import typography
@import "typography";
@import "base";

// Import customs themes
@import "themes/default-theme";

// Import custom components theme
@import "./custom-components/labels.scss";
@import "./custom-components/sidenav-button-action.scss";
@import "./custom-components/alert-notification.scss";
@import "./custom-components/subnav.scss";
@import "./custom-components/page-header.scss";

// Import custom Material theme
@import "./material-components/mat-button-theme.scss";
@import "./material-components/mat-card-theme.scss";
@import "./material-components/mat-datepicker-theme.scss";
@import "./material-components/mat-tabs-theme.scss";
@import "./material-components/mat-table-theme.scss";
@import "./material-components/mat-input-theme.scss";
@import "./material-components/mat-form-field-theme.scss";
@import "./material-components/mat-select-theme.scss";
@import "./material-components/mat-checkbox-theme.scss";
@import "./material-components/mat-chips-theme.scss";
@import "./material-components/mat-icon-theme.scss";
@import "./material-components/mat-sidenav-theme.scss";
@import "./material-components/mat-slide-toggle.scss";
@import "./material-components/mat-menu-theme.scss";
@import "./material-components/mat-list-theme.scss";
@import "./material-components/mat-radio-theme.scss";
@import "./material-components/mat-dialog-theme.scss";
@import "./material-components/mat-tooltip-theme.scss";
@import "./material-components/mat-drawer-theme.scss";
@import "./material-components/mat-badge-theme.scss";
@import "./material-components/mat-toolbar-theme.scss";
@import "./material-components/mat-dropdown-theme.scss";

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core($custom-typography);

@import "mixin-overrides";

@mixin custom-components-theme($theme) {
  @include sidenav-button-action-theme($theme);
  @include subnav-theme($theme);
  @include alert-notification-theme($theme);
  @include page-header-theme($theme);

  // custom material
  @include mat-custom-button-theme($theme);
  @include mat-custom-card-theme($theme);
  @include mat-custom-datepicker-theme($theme);
  @include mat-custom-tabs-theme($theme);
  @include mat-custom-table-theme($theme);
  @include mat-custom-input-theme($theme);
  @include mat-custom-form-field-theme($theme);
  @include mat-custom-select-theme($theme);
  @include mat-custom-checkbox-theme($theme);
  @include mat-custom-chips-theme($theme);
  @include mat-custom-icon-theme($theme);
  @include mat-custom-sidenav-theme($theme);
  @include mat-custom-slide-toggle-theme($theme);
  @include mat-custom-menu-theme($theme);
  @include mat-custom-list-theme($theme);
  @include mat-custom-radio-theme($theme);
  @include mat-custom-dialog-theme($theme);
  @include mat-custom-tooltip-theme($theme);
  @include mat-custom-drawer-theme($theme);
  @include mat-custom-badge-theme($theme);
  @include mat-custom-toolbar-theme($theme);
  @include mat-custom-dropdown-theme($theme);

  @include global-theme($theme);
}

@mixin unscoped-components-theme($theme) {
  @include labels-theme($theme);
  @include mat-unscoped-select-theme($theme);
  @include mat-custom-datepicker-popup-theme($theme);
}

.default-theme {
  @include angular-material-theme($agcp-default-theme);
  @include custom-components-theme($agcp-default-theme);
}

@include unscoped-components-theme($agcp-default-theme);

@import "helpers";
